cvs: php4 / configure.in /build buildcheck.sh
| From: | Jani Taskinen | Date: | Tue, 11 Feb 2003 21:11:42 +0000 |
| Subject: | cvs: php4 / configure.in /build buildcheck.sh | ||
| Groups: | php.cvs | ||
| Request: | Send a blank email to php-cvs+get-18685@lists.php.net to get a copy of this message | ||
sniper Tue Feb 11 16:11:42 2003 EDT
Modified files:
/php4 configure.in
/php4/build buildcheck.sh
Log:
- Fixed some weird crashes causd by the new default behaviour
of libtool 1.4.3
- Require libtool 1.4.3 or newer from now on.
Index: php4/configure.in
diff -u php4/configure.in:1.418 php4/configure.in:1.419
--- php4/configure.in:1.418 Mon Feb 10 12:09:47 2003
+++ php4/configure.in Tue Feb 11 16:11:41 2003
@@ -1,4 +1,4 @@
-dnl ## $Id: configure.in,v 1.418 2003/02/10 17:09:47 sniper Exp $ -*- sh -*-
+dnl ## $Id: configure.in,v 1.419 2003/02/11 21:11:41 sniper Exp $ -*- sh -*-
dnl ## Process this file with autoconf to produce a configure script.
divert(1)
@@ -1065,6 +1065,8 @@
PHP_SET_LIBTOOL_VARIABLE([--silent])
fi
+dnl libtool 1.4.3 needs this.
+PHP_SET_LIBTOOL_VARIABLE([--preserve-dup-deps])
test -z "$PHP_COMPILE" && PHP_COMPILE='$(LIBTOOL) --mode=compile $(COMPILE)
-c $<'
test -z "$CXX_PHP_COMPILE" && CXX_PHP_COMPILE='$(LIBTOOL) --mode=compile
$(CXX_COMPILE) -c $<'
Index: php4/build/buildcheck.sh
diff -u php4/build/buildcheck.sh:1.22 php4/build/buildcheck.sh:1.23
--- php4/build/buildcheck.sh:1.22 Mon Jan 13 05:27:50 2003
+++ php4/build/buildcheck.sh Tue Feb 11 16:11:42 2003
@@ -16,7 +16,7 @@
# | Sascha Schumann <sascha@schumann.cx> |
# +----------------------------------------------------------------------+
#
-# $Id: buildcheck.sh,v 1.22 2003/01/13 10:27:50 sas Exp $
+# $Id: buildcheck.sh,v 1.23 2003/02/11 21:11:42 sniper Exp $
#
echo "buildconf: checking installation..."
@@ -70,26 +70,32 @@
echo "buildconf: automake version $am_version (ok)"
fi
-# libtool 1.4 or newer
+# libtool 1.4.3 or newer
# Prefer glibtool over libtool for Mac OS X compatibility
libtool=
./build/shtool path glibtool 2> /dev/null
if test ! -f "$libtool"; then libtool=./build/shtool path libtool; fi
lt_pversion=$libtool --version 2>/dev/null|sed -n -e 's/^[^0-9]*//' -e
1's/[- ].*//p'
if test "$lt_pversion" = ""; then
echo "buildconf: libtool not found."
-echo " You need libtool version 1.4 or newer installed"
+echo " You need libtool version 1.4.3 or newer installed"
echo " to build PHP from CVS."
exit 1
fi
lt_version=echo $lt_pversion|sed -e 's/\([a-z]*\)$/.\1/'
IFS=.; set $lt_version; IFS=' '
-if test "$1" -gt "1" || test "$2" -ge "4";
+if test "$3" = ""; then
+ third=0
+else
+ third=$3
+fi
+
+if test "$1" -gt "1" || test "$2" -ge "5" || (test
"$2" -ge "4" && test "$third" -ge "3")
then
echo "buildconf: libtool version $lt_pversion (ok)"
else
echo "buildconf: libtool version $lt_pversion found."
-echo " You need libtool version 1.4 or newer installed"
+echo " You need libtool version 1.4.3 or newer installed"
echo " to build PHP from CVS."
exit 1
fi